GIT-MV(1)

NAME
git-mv - Script used to move or rename a file, directory or symlink.

SYNOPSIS
git-mv <options>... <args>....sp

DESCRIPTION
This script is used to move or rename a file, directory or symlink..sp

git-mv [-f] [-n] <source> <destination>
git-mv [-f] [-n] [-k] <source> ... <destination directory>
In the first form, it renames <source>, which must exist and be either a file, symlink or directory, to <destination>. In the second form, the last argument has to be an existing directory; the given sources will be moved into this directory..sp The index is updated after successful completion, but the change must still be committed..sp

OPTIONS

-f  Force renaming or moving of a file even if the target exists

-k  Skip move or rename actions which would lead to an error condition. An error happens when a source is neither existing nor controlled by GIT, or when it would overwrite an existing file unless -f is given.

-n  Do nothing; only show what would happen

AUTHOR
Written by Linus Torvalds <torvalds@osdl.org> Rewritten by Ryan Anderson <ryan@michonline.com> Move functionality added by Josef Weidendorfer <Josef.Weidendorfer@gmx.de>.sp

DOCUMENTATION
Documentation by David Greaves, Junio C Hamano and the git-list <git@vger.kernel.org>..sp

GIT
Part of the git(7) suite.sp